import logging

import adapay_merchant

# 这里配置
adapay_merchant.config_path = "config_folder_path"
adapay_merchant.init_config('yfy_test_config', True)

adapay_merchant.init_log(True, logging.INFO)

# -----------------代理商（渠道商）上送商户证照-----------------
response = adapay_merchant.MerchantProfile.mer_profile_picture(
    subApiKey='sub_api_key',
    file='file_path_str',
    fileType='01')

if response.get('status') == 'succeeded':
    print('success result')

# -----------------代理商（渠道商）将商户证照信息提交审核接口-----------------
response = adapay_merchant.MerchantProfile.mer_profile_for_audit(
    subApiKey='sub_api_key',
    socialCreditCodeId='socialCreditCodeId',
    legalCertIdFrontId='legalCertIdFrontId',
    legalCertIdBackId='legalCertIdBackId',
    businessAdd='businessAdd',
    storeId='storeId1|storeId2',
    accountOpeningPermitId='accountOpeningPermitId',
    shareholderInfoList=[])

if response.get('status') == 'succeeded':
    print('success result')

# -----------------查询商户基础信息审核状态-----------------
response = adapay_merchant.MerchantProfile.query_mer_profile_status(
    subApiKey='api_live_fdcbcc99-4fef-4f23-a8f3-e21d7c7e4f7b')

print('respose is :' + str(response))
