import logging

import adapay_merchant

# 这里配置
adapay_merchant.config_path = "config_folder_path"
adapay_merchant.init_config('yfy_test_config', True)

adapay_merchant.init_log(True, logging.INFO)

# -----------------商户进件-----------------
response = adapay_merchant.MerchantUser.create(request_id='request_id',
                                               usr_phone='usr_phone',
                                               cont_name='cont_name',
                                               cont_phone='cont_phone',
                                               customer_email='customer_email',
                                               mer_name='mer_name',
                                               mer_short_name='mer_short_name',
                                               license_code='license_code',
                                               reg_addr='reg_addr',
                                               cust_addr='cust_addr',
                                               cust_tel='cust_tel',
                                               mer_start_valid_date='mer_start_valid_date',
                                               mer_valid_date='mer_valid_date',
                                               legal_name='legal_name',
                                               legal_type='0',
                                               legal_idno='legal_idno',
                                               legal_mp='legal_mp',
                                               legal_start_cert_id_expires='20190101',
                                               legal_id_expires='20210101',
                                               card_id_mask='card_id_mask',
                                               bank_code='001',
                                               card_name='中国建设银行',
                                               bank_acct_type='2',
                                               prov_code='1100',
                                               area_code='0011',
                                               rsa_public_key='rsa_public_key')

if response.get('status') == 'succeeded':
    print('success result')

# -----------------商户进件查询-----------------
response = adapay_merchant.MerchantUser.query(request_id='1573440302')

if response.get('status') == 'succeeded':
    print('success result')
