import adapay_merchant

# 这里配置
adapay_merchant.config_path = "config_folder_path"
adapay_merchant.init_config('yfy_test_config', True)

# -----------------商户入驻-----------------
response = adapay_merchant.MerchantPayConf.create(request_id='request_id',
                                                  sub_api_key='sub_api_key',
                                                  bank_channel_no='01',
                                                  fee_type='fee_type',
                                                  app_id='app_id',
                                                  wx_category='',
                                                  alipay_category='alipay_category',
                                                  cls_id='cls_id',
                                                  model_type='1',
                                                  mer_type='1',
                                                  province_code='310000',
                                                  city_code='310100',
                                                  district_code='310115',
                                                  add_value_list={
                                                      'wx_lite': {'appid': 'appid'}
                                                  })

if response.get('status') == 'succeeded':
    print('success result')

# -----------------商户入驻查询-----------------
response = adapay_merchant.MerchantPayConf.query(request_id='1573456390')

if response.get('status') == 'succeeded':
    print('success result')

# -----------------商户入驻修改-----------------
response = adapay_merchant.MerchantPayConf.modify(request_id='request_id',
                                                  # 推荐商户的api_key
                                                  sub_api_key='sub_api_key',
                                                  alipay_request_params={
                                                      'mer_short_name': "mer_short_name",
                                                      'mer_phone': "mer_phone",
                                                      'fee_type': "02",
                                                      'card_no': "card_no",
                                                      'card_name': "card_name",
                                                      'category': "category",
                                                      'cls_id': "cls_id",
                                                      'mer_name': "mer_name",
                                                      'mer_addr': "mer_addr",
                                                      'contact_name': "contact_name",
                                                      'contact_phone': "contact_phone",
                                                      'contact_mobile': "contact_mobile",
                                                      'contact_email': "contact_email@qq.com",
                                                      'legal_id_no': "legal_id_no",
                                                      'mer_license': "mer_license",
                                                      'province_code': "310000",
                                                      'city_code': "310100",
                                                      'district_code': "310115"})

if response.get('status') == 'succeeded':
    print('success result')
